Skip to main content
GET
List timesheets

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamIds
string[]
Example:
fromDate
string
required

Start date in YYYY-MM-DD format

Example:

"2026-08-01"

toDate
string
required

End date in YYYY-MM-DD format

Example:

"2026-08-31"

contractorIds
string[]
Example:
sortOrder
enum<string>
default:asc
Available options:
asc,
desc
sortField
enum<string>
default:contract
Available options:
contract,
contractor,
trackedTime,
activity,
goMeter,
manual,
overtime,
billableTime,
billableAmount
page
integer
default:1
Required range: x >= 1
itemsPerPage
integer
default:10
Required range: 1 <= x <= 100

Response

A paginated list of timesheets plus period-level statistics. If the caller has no accessible company, results is empty.

results
object[]
required
pagination
object
required
statistics
object
required